/* From Uiverse.io by Bodyhc */ 
.checkbox-wrapper .switch {
    display: none;
  }
  
  .checkbox-wrapper .switch + label {
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    color: #78768d;
    cursor: pointer;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    font-family: inherit;
    font-size: 12px;
    line-height: 15px;
    position: relative;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }
  
  .checkbox-wrapper .switch + label::before,
    .checkbox-wrapper .switch + label::after {
    content: '';
    display: block;
  }
  
  .checkbox-wrapper .switch + label::before {
    background-color: rgba(179, 179, 179, 0.4);
    border-radius: 5000px;
    height: 25px;
    margin-right: 8px;
    -webkit-transition: background-color 0.125s ease-out;
    transition: background-color 0.125s ease-out;
    width: 45px;
  }

  @media (prefers-color-scheme: dark) {
    .checkbox-wrapper .switch + label::before {
      background-color: var(--ar-gray-300);
    }
  }
  
  .checkbox-wrapper .switch + label::after {
    background-color: #fff;
    border-radius: 13px;
    box-shadow: 0 3px 1px 0 rgba(37, 34, 71, 0.05), 0 2px 2px 0 rgba(37, 34, 71, 0.1), 0 3px 3px 0 rgba(37, 34, 71, 0.05);
    height: 20px;
    left: 2.5px;
    position: absolute;
    top: 2.5px;
    -webkit-transition: -webkit-transform 0.125s ease-out;
    transition: -webkit-transform 0.125s ease-out;
    transition: transform 0.125s ease-out;
    transition: transform 0.125s ease-out, -webkit-transform 0.125s ease-out;
    width: 20px;
  }
  
  .checkbox-wrapper .switch + label .switch-x-text {
    display: block;
    margin-right: .3em;
  }
  
  .checkbox-wrapper .switch + label .switch-x-toggletext {
    display: block;
    font-weight: bold;
    height: 15px;
    /* overflow: hidden; */
    position: relative;
    min-width: 60px;
    font-size: 0.85rem;
  }
  
  .checkbox-wrapper .switch + label .switch-x-unchecked,
    .checkbox-wrapper .switch + label .switch-x-checked {
    left: 0;
    position: absolute;
    top: 0;
    -webkit-transition: opacity 0.125s ease-out, -webkit-transform 0.125s ease-out;
    transition: opacity 0.125s ease-out, -webkit-transform 0.125s ease-out;
    transition: transform 0.125s ease-out, opacity 0.125s ease-out;
    transition: transform 0.125s ease-out, opacity 0.125s ease-out, -webkit-transform 0.125s ease-out;
  }
  
  .checkbox-wrapper .switch + label .switch-x-unchecked {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }
  
  .checkbox-wrapper .switch + label .switch-x-checked {
    opacity: 0;
    -webkit-transform: translate3d(0, 100%, 0);
    transform: translate3d(0, 100%, 0);
  }
  
  .checkbox-wrapper .switch + label .switch-x-hiddenlabel {
    position: absolute;
    visibility: hidden;
  }
  
  .checkbox-wrapper .switch:checked + label::before {
    background-color: var(--ar-primary);
  }
  
  .checkbox-wrapper .switch:checked + label::after {
    -webkit-transform: translate3d(20px, 0, 0);
    transform: translate3d(20px, 0, 0);
  }
  
  .checkbox-wrapper .switch:checked + label .switch-x-unchecked {
    opacity: 0;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
  }
  
  .checkbox-wrapper .switch:checked + label .switch-x-checked {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }
  